Subject: RE: [lojban] the set of answers

From: "And Rosta" <[email-masked]>
Date: Sat, 15 Sep 2001 01:33:14 +0100

pc:
> [email-masked] writes:
>
> Evidently I was mistaken to think we were all engaged in the same
> programme of enquiry, then. AFAI am concernced, the aim is to find a
> logical representation for Q-kau sentences. If that turns out to be
> reasonably elegant, then we could then drop qkau. If it turns out to
> be a bit clunky then we would know what qkau expands to logically.
>
> I think we are engaged in the same enterprise (at least in part -- I have no
> desire to do away with Qkau, only to understand it),

It seems to me that if we can understand it then it can in principle
be done away with, though it may be convenient to retain it.

> but from opposite ends.
> You appear to think that questions won't be clear until they are formalized,
> I tend to thing they can't be formalized until they are clear.

I think that answers won't be clear until they are formalized.

> I am also
> pretty sure that the formalization will be unusably complex, since I can very
> little chance of avoiding moving through several levels of logic and probably
> the metalanguage: a good explanation in a scientific study of the langauge
> but not someothing anyone would say.

Not a problem. From my perspective, the two sides of a logical language are
to be crystal clear about the logical structure of sentences and to provide
satisfactorily concise sentences. I'm perfectly happy if qkau turns out to
be the concisest mode of expression; all that currently concerns me is that
we should be crystal clear about the logical structure of qkau sentences.

> <Do I need to point out that English does not claim to be a logical language?
> English is not Loglan.>
>
> True, but English is a capable of being logical as Lojban and seem a fair
> test for whether indirect questions can be logically unfolded in a speakable
> human language (which Lojban is not yet provably).

You can't be talking about ordinary everyday English. If you're talking
about anglicized predicate logic, then yes, though Lojban is still easier
& clearer.

> <To avoid you wasting time, I'd better make clear that Jorge defined the
> set of answers extensionally (i.e. by listing them all). I don't
> consider that
> satisfactory.>
>
> No, a list will not do, since the set may very well not be finite, given all
> the variations possible and acceptable ({xu} questions probably are finite
> sets, but theya re a special case in other ways as well).
>
> <As I said, the analyses aren't rivals. I can't think of a formalization that
> comes closer to approximating the set of answers analysis than the
> extensional analysis does, so in that sense it is a quasi-formal
> restatement, and if that's what you think too then your other comments
> below are hard to understand.>
>
> I really have tried hard to read And's commentsa quasi formal versions of my
> markedly less formal ones, but the connection escapes me: I may be reading
> too much -- or the wrong things -- into the notion of extensional and I just
> may have a different picture in mind, but each of the items he produces just
> comes out wrong any way I try to interpret it (even ignoring known slips of
> the pen).

If you mean that you can't see my formalizations as formalizations of the
set of answers analysis, then that's fair enough, and you need either
to accept my formalization and drop the set of answers analysis or else to
seek another formalization.

If you mean that my formalizations are not semantically (truthconditionally,
let's say) adequate formalizations of qkau/interrogative sentences, then
this should be proved by citing instances of truthconditional nonequivalence.

> <# <#Well, the {makau} {ce'u} is restricted, too -- maybe more so -- since
> it
> # #has to generate *answers* and not every possible value will apply
> # #(indeed, generally most will not). Further, unlike the "bound" {ce'u},
> # #the restrictions tend to be implicit rather than overt.
> #
> # I think this is incorrect. The extension of ka is the set of all ordered
> # n-tuples that instantiate the n ce'u in the ka. So the ce'u are not
> # restricted.>
> # You were the one who said the extension of {ce'u} was restricted:
> # (<in {ko'u fo'u frica lo du'u ce'u prami ma kau} (in standard
> # > usage), there are two variables: {ko'u fo'u frica lo du'u X prami Y}.
> # > X is restricted to Dubya and Jeb (do we *have* to use Bushes in our
> # > exsmples??) and Y ranges freely.>)
>
> I say "Y ranges freely". Y is "the makau ce'u". You say "the makau ce'u
> is restricted too". I say "I think this is incorrect". You reply by quoting
> me saying "[the makau ce'u] ranges freely".
>
> Or have the wires got crossed somewhere?>
> Apparently. You said X, the overt {ce'u} is restricted. I said that it was
> not, although only the values for W and Jeb were sifgnificant. I said Y (the
> {makau} that you claim is also a {ce'u}) is not restricted. I said that in
> fact it is restricted and implicitly, rather than explicitly. Since you thne
> talked about {ce'u} I foolishly thought you were talking about {ce'u},
> forgetting that you now thought {makau} was {ce'u}, and so replied to what
> you said, not to what you apparently meant. We still disagree, but at least
> I hope we now agree on what we disagree about.
> The range of the overt {ce'u} is not restricted (I say) even though only two
> values are significant for the issue at hand. The range of {makau} (you say
> a crypto{ce'u}, with which I disagree) I say is restricted in an informal and
> implicit way to those cases which make acceptable answers -- hard to describe
> in advance, though we recognize failures easily enough. It is not that all
> the possible replacements are there but do not count (as in the overt {ce'u}
> case) but that some replacements are not there at all, since, were they
> there, they would count, as things are imagined at the moment.
> I suspect that it is this latter point that is the bone of contention, since
> dealing with it my way means that a complete formalization of questions is
> impossible, except by putting in a very fuzzy predicate about acceptable
> answers, and And does not like fuzzy predicates, even when they are
> necessary.

I don't remember ever having objected to fuzzy predicates. Try me.

I sort of understand now roughly what your general position is, but I still
can't make sense of it. For "Dubya and Chelsea differ in who their mother
is" (or its proper logical or Lojban equivalent), I don't see either why
"who" is restricted or why "their" is unrestricted

> <You have not shown how/that the extension-of analysis gives inappropriate
> meanings that are not equivalent to interrogative or q-kau expressions.
> Jorge has attempted to do that, though without having convinced me yet.>
> Hey, it's your analysis; give me a plausible case of it working, so that I
> can see whether it does or not. Every case so far has come with an attached
> "but this is not yet quite right," with which I heartily agree.

If you can find my original statement of the analysis, you'll see that those
caveats applied to "depend" and "differ" qkau constructions. That's why
the message header said it was an ungeneralized analysis. I haven't issued
any assurances that the analysis is correct, but it's the only formalization
proposed so far that hasn't been shown to be inadequate.

As for a plausible case of it working, what do you want? The normal strategy
we employ in our discussions is to present reasons why an analysis fails.
Analyses that resist falsification are accepted as correct.

> <. By my analysis of Q-kau, Y is
> # #> underlyingly ce'u -- ordinary unrestricted woldemarian ce'u. So
> # #> although I could accept your story that X is a contextually restricted
> # #> ce'u, this leaves us with free and contextually restricted ce'u in the
> # #> same bridi, and with no way to tell them apart (in logical form).>
> #
> # But woldemarian {ce'u} is a lambda bound variable and {makau} is not
> # obviously so
>
> So what are you telling me? That my Insight was not an obvious one...?
> ;-)
>
> # -- and your problem with it suggests that is should not be so at all. >
>
> I think your insight is an insight and not an obvious one, but also a wrong
> one. There are a lot of similarities between {ce'u} and {ma} (with or
> without the {kau}), so that getting a good grip on one helps with the
> other.
> But I don't think they are the same, at least partly because of the other
> items that go with {ma}, which are not paralleled with {ce'u}.

I'm surprised at this objection. Do you really think that non-ma questions
can't be restructured so that they contain a ma? And even if your answer
were Yes, would there not equally be a case for a ce'u counterpart of
non-ma q-words?

> Of course, I
> am also hooked into the set-of-answers explanation (that is what Logic does,
> so I will follow up on it until it clearly doesn't work or I get an answer),
> which does not fit with the {ce'u} connection either. The fact that working
> woith both of these as {ce'u} presents you with a logical problem, suggests
> to me that the assumption you are working with (that they both are {ce'u}) is
> likely wrong.

If you're talking about the two variables in the "differ in who they love"
construction, then I do not assume that the "they" element is a ce'u.

--And.

> Of course, I see the restricted and unrestricted sorted in the
> opposite way, but that doesn't change the problem.
> There is a problem with {kau} and {ce'u}, having to do with which gets
> expanded first (i.e. a scope problem, if you will), since some situations
> seem to favor one expansion, others the other. I have been solving that ad
> hoc so far, but that can't continue, especially if the whole is to be
> formalized at all.